SeExpr

Public Member Functions | List of all members
SeExpr2::TypePrintExaminer Class Reference
Inheritance diagram for SeExpr2::TypePrintExaminer:

## Public Member Functions
virtual bool | examine (const SeExpr2::ExprNode *examinee)
virtual void | reset ()
Public Member Functions inherited from SeExpr2::Examiner< true >
virtual bool | examine (T_NODE *examinee)=0
virtual void | post (T_NODE *examinee)

## Additional Inherited Members
Public Types inherited from SeExpr2::Examiner< true >
typedef ADD_CONST< ExprNode, constnode >::TYPE | T_NODE

## Detailed Description

Definition at line 69 of file Expression.cpp.

## Member Function Documentation

## ◆ examine()

bool SeExpr2::TypePrintExaminer::examine | ( | const SeExpr2::ExprNode * | examinee | ) |
| virtual

Definition at line 75 of file Expression.cpp.

References SeExpr2::ExprNode::parent(), SeExpr2::ExprNode::toString(), SeExpr2::ExprType::toString(), and SeExpr2::ExprNode::type().

## ◆ reset()

virtual void SeExpr2::TypePrintExaminer::reset | ( |  | ) |
| inline virtual

Implements SeExpr2::Examiner< true >.

Definition at line 72 of file Expression.cpp.

The documentation for this class was generated from the following file:

- /build/seexpr/src/SeExpr/src/SeExpr2/Expression.cpp